## python-tempest-lib 0.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0
Babel>=1.3
fixtures>=0.3.14
iso8601>=0.1.9
jsonschema>=2.0.0,<3.0.0
httplib2>=0.7.5
six>=1.9.0
oslo.log>=0.4.0  # Apache-2.0

=== debian/changelog ===
python-tempest-lib (0.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack Kilo-3:
    - d/control: Align version requirements with upstream.
    - d/control: Drop dependency on oslo-config, add dependency on oslo-log.

 -- James Page <james.page@ubuntu.com>  Mon, 30 Mar 2015 11:04:00 +0100

python-tempest-lib (0.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - d/control: Add new BD's on oslotest, jsonschema, six and httplib2.

 -- James Page <james.page@ubuntu.com>  Wed, 11 Feb 2015 11:26:04 +0000

python-tempest-lib (0.0.2-1) unstable; urgency=medium

  * Initial release. (Closes: #771201)

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Nov 2014 22:48:43 +0800

=== debian/control ===
Source: python-tempest-lib
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.8.1),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 0.8.1),
               python3-setuptools
Build-Depends-Indep: python-babel (>= 1.3),
                     python-coverage (>= 3.6),
                     python-fixtures (>= 0.3.14),
                     python-httplib2 (>= 0.7.5),
                     python-iso8601 (>= 0.1.9),
                     python-jsonschema (>= 2.2.0),
                     python-mock (>= 1.0),
                     python-oslo-log (>= 0.4.0),
                     python-oslosphinx,
                     python-oslotest,
                     python-six (>= 1.7.0),
                     python-subunit,
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 0.9.34),
                     python3-babel (>= 1.3),
                     python3-coverage (>= 3.6),
                     python3-fixtures (>= 0.3.14),
                     python3-httplib2 (>= 0.7.5),
                     python3-iso8601 (>= 0.1.9),
                     python3-jsonschema (>= 2.2.0),
                     python3-mock (>= 1.0),
                     python3-oslo-log (>= 0.4.0),
                     python3-oslotest,
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 0.9.34),
                     subunit,
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-tempest-lib.git
Vcs-Git: git://anonscm.debian.org/openstack/python-tempest-lib.git
Homepage: http://www.openstack.org/

Package: python-tempest-lib
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-babel (>= 1.3),
         python-fixtures (>= 0.3.14),
         python-iso8601 (>= 0.1.9),
         python-oslo-log (>= 0.4.0),
         python-pbr (>= 0.8.1),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-tempest-lib-doc
Description: OpenStack Functional Testing Library - Python 2.x
 This package contains the OpenStack Functional Testing Library which is used
 by the Tempest Functional Testing suite.
 .
 This package contains the Python 2.x module.

Package: python3-tempest-lib
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python3-babel (>= 1.3),
         python3-fixtures (>= 0.3.14),
         python3-iso8601 (>= 0.1.9),
         python3-oslo-log (>= 0.4.0),
         python3-pbr (>= 0.8.1),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-tempest-lib-doc
Description: OpenStack Functional Testing Library - Python 3.x
 This package contains the OpenStack Functional Testing Library which is used
 by the Tempest Functional Testing suite.
 .
 This package contains the Python 3.x module.

Package: python-tempest-lib-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: OpenStack Functional Testing Library - doc
 This package contains the OpenStack Functional Testing Library which is used
 by the Tempest Functional Testing suite.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/tempest-lib.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-tempest-lib; \
	done
	mv $(CURDIR)/debian/python-tempest-lib/usr/bin/subunit-trace $(CURDIR)/debian/python-tempest-lib/usr/bin/python2-subunit-trace
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-tempest-lib; \
	done
	mv $(CURDIR)/debian/python3-tempest-lib/usr/bin/subunit-trace $(CURDIR)/debian/python3-tempest-lib/usr/bin/python3-subunit-trace
	rm -rf $(CURDIR)/debian/python*-tempest-lib/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "===> Running tests"
	set -e && for i in $(PYTHONS) $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-tempest-lib-doc/usr/share/doc/python-tempest-lib-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/t/tempest-lib tempest-lib-(.*).tar.gz

## python-tempest-lib 0.9.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr<2.0,>=1.6
Babel>=1.3
fixtures>=1.3.1
iso8601>=0.1.9
jsonschema!=2.5.0,<3.0.0,>=2.0.0
httplib2>=0.7.5
paramiko>=1.13.0
six>=1.9.0
oslo.log>=1.8.0 # Apache-2.0
os-testr>=0.1.0

=== debian/changelog ===
python-tempest-lib (0.9.0-0ubuntu1) wily; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Sep 2015 14:32:24 +0200

python-tempest-lib (0.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed debian/patches/os-testr-compat.patch applied upstream.
  * Fixed watch file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Jul 2015 23:15:40 +0000

python-tempest-lib (0.5.0-2) experimental; urgency=medium

  [ James Page ]
  * Cherry pick patch from upstream VCS to switch to using os-testr,
    add os-testr to (build-)depends.

  [ Thomas Goirand ]
  * Removed installation of subunit-trace, now in python-os-testr.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Jul 2015 23:37:34 +0200

python-tempest-lib (0.5.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - d/control: Add new BD's on paramiko and ddt.
    - d/control: Align version requirements with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 01 Jun 2015 11:10:24 +0100

python-tempest-lib (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Apr 2015 11:40:11 +0200

=== debian/control ===
Source: python-tempest-lib
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.6),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.6),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-ddt (>= 1.0.0),
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-httplib2,
                     python-iso8601,
                     python-jsonschema,
                     python-mock (>= 1.3.0),
                     python-os-testr (>= 0.1.0),
                     python-oslo.log (>= 1.8.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paramiko (>= 1.13.0),
                     python-six (>= 1.9.0),
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-babel,
                     python3-ddt (>= 1.0.0),
                     python3-fixtures (>= 1.3.1),
                     python3-httplib2,
                     python3-iso8601,
                     python3-jsonschema,
                     python3-mock (>= 1.3.0),
                     python3-os-testr (>= 0.1.0),
                     python3-oslo.log (>= 1.8.0),
                     python3-oslotest (>= 1.10.0),
                     python3-paramiko (>= 1.13.0),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-tempest-lib.git
Vcs-Git: git://anonscm.debian.org/openstack/python-tempest-lib.git
Homepage: http://www.openstack.org/

Package: python-tempest-lib
Architecture: all
Depends: python-babel,
         python-fixtures (>= 1.3.1),
         python-httplib2,
         python-iso8601,
         python-jsonschema,
         python-os-testr (>= 0.1.0),
         python-oslo.log (>= 1.8.0),
         python-pbr (>= 1.6),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-tempest-lib-doc,
Description: OpenStack Functional Testing Library - Python 2.x
 This package contains the OpenStack Functional Testing Library which is used
 by the Tempest Functional Testing suite.
 .
 This package contains the Python 2.x module.

Package: python3-tempest-lib
Architecture: all
Depends: python-os-testr (>= 0.1.0),
         python3-babel,
         python3-fixtures (>= 1.3.1),
         python3-httplib2,
         python3-iso8601,
         python3-jsonschema,
         python3-oslo.log (>= 1.8.0),
         python3-pbr (>= 1.6),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-tempest-lib-doc,
Description: OpenStack Functional Testing Library - Python 3.x
 This package contains the OpenStack Functional Testing Library which is used
 by the Tempest Functional Testing suite.
 .
 This package contains the Python 3.x module.

Package: python-tempest-lib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack Functional Testing Library - doc
 This package contains the OpenStack Functional Testing Library which is used
 by the Tempest Functional Testing suite.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -16,18 +16,18 @@
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python-tempest-lib; \
 	done
-	mv $(CURDIR)/debian/python-tempest-lib/usr/bin/subunit-trace $(CURDIR)/debian/python-tempest-lib/usr/bin/python2-subunit-trace
 	set -e ; for pyvers in $(PYTHON3S); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python3-tempest-lib; \
 	done
-	mv $(CURDIR)/debian/python3-tempest-lib/usr/bin/subunit-trace $(CURDIR)/debian/python3-tempest-lib/usr/bin/python3-subunit-trace
+	mv $(CURDIR)/debian/python-tempest-lib/usr/bin/skip-tracker $(CURDIR)/debian/python-tempest-lib/usr/bin/python2-skip-tracker
+	mv $(CURDIR)/debian/python3-tempest-lib/usr/bin/skip-tracker $(CURDIR)/debian/python3-tempest-lib/usr/bin/python3-skip-tracker
 	rm -rf $(CURDIR)/debian/python*-tempest-lib/usr/lib/python*/dist-packages/*.pth
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	echo "===> Running tests"
-	set -e && for i in $(PYTHONS) $(PYTHON3S) ; do \
+	set -e && for i in 2.7 $(PYTHON3S) ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
 		rm -rf .testrepository ; \

## python-tempest-lib 0.14.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
Babel>=1.3 # BSD
fixtures>=1.3.1 # Apache-2.0/BSD
iso8601>=0.1.9 # MIT
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
httplib2>=0.7.5 # MIT
paramiko>=1.13.0 # LGPL
six>=1.9.0 # MIT
oslo.log>=1.14.0 # Apache-2.0
os-testr>=0.4.1 # Apache-2.0

=== debian/changelog ===
python-tempest-lib (0.14.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 08:58:58 +0000

python-tempest-lib (0.14.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * Standards-Version: 3.9.7 (no change).
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Mar 2016 12:19:04 +0000

python-tempest-lib (0.13.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Jan 2016 07:17:39 +0000

python-tempest-lib (0.11.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added check-uuid to the update-alternative handling.

  [ Corey Bryant ]
  * d/control: Update uploaders.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Dec 2015 15:22:51 +0100

python-tempest-lib (0.9.0-3) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 23:55:45 +0000

python-tempest-lib (0.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 11:42:51 +0000

python-tempest-lib (0.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Sep 2015 14:32:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,30 @@
 Source: python-tempest-lib
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
+           Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
                python-all,
-               python-pbr (>= 1.6),
+               python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
                python3-all,
-               python3-pbr (>= 1.6),
+               python3-pbr (>= 1.8),
                python3-setuptools,
 Build-Depends-Indep: python-babel,
                      python-coverage,
-                     python-ddt (>= 1.0.0),
+                     python-ddt (>= 1.0.1),
                      python-fixtures (>= 1.3.1),
                      python-hacking,
                      python-httplib2,
                      python-iso8601,
                      python-jsonschema,
                      python-mock (>= 1.3.0),
-                     python-os-testr (>= 0.1.0),
-                     python-oslo.log (>= 1.8.0),
+                     python-os-testr (>= 0.4.2),
+                     python-oslo.log (>= 2.0.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
                      python-paramiko (>= 1.13.0),
@@ -33,14 +33,14 @@
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python3-babel,
-                     python3-ddt (>= 1.0.0),
+                     python3-ddt (>= 1.0.1),
                      python3-fixtures (>= 1.3.1),
                      python3-httplib2,
                      python3-iso8601,
                      python3-jsonschema,
                      python3-mock (>= 1.3.0),
-                     python3-os-testr (>= 0.1.0),
-                     python3-oslo.log (>= 1.8.0),
+                     python3-os-testr (>= 0.4.2),
+                     python3-oslo.log (>= 2.0.0),
                      python3-oslotest (>= 1.10.0),
                      python3-paramiko (>= 1.13.0),
                      python3-six (>= 1.9.0),
@@ -49,9 +49,9 @@
                      python3-testtools (>= 1.4.0),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-tempest-lib.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-tempest-lib.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-tempest-lib.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-tempest-lib.git
 Homepage: http://www.openstack.org/
 
 Package: python-tempest-lib
@@ -61,9 +61,9 @@
          python-httplib2,
          python-iso8601,
          python-jsonschema,
-         python-os-testr (>= 0.1.0),
-         python-oslo.log (>= 1.8.0),
-         python-pbr (>= 1.6),
+         python-os-testr (>= 0.4.2),
+         python-oslo.log (>= 2.0.0),
+         python-pbr (>= 1.8),
          python-six (>= 1.9.0),
          ${misc:Depends},
          ${python:Depends},
@@ -76,14 +76,14 @@
 
 Package: python3-tempest-lib
 Architecture: all
-Depends: python-os-testr (>= 0.1.0),
+Depends: python-os-testr (>= 0.4.2),
          python3-babel,
          python3-fixtures (>= 1.3.1),
          python3-httplib2,
          python3-iso8601,
          python3-jsonschema,
-         python3-oslo.log (>= 1.8.0),
-         python3-pbr (>= 1.6),
+         python3-oslo.log (>= 2.0.0),
+         python3-pbr (>= 1.8),
          python3-six (>= 1.9.0),
          ${misc:Depends},
          ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -21,8 +21,13 @@
 			--root $(CURDIR)/debian/python3-tempest-lib; \
 	done
 	mv $(CURDIR)/debian/python-tempest-lib/usr/bin/skip-tracker $(CURDIR)/debian/python-tempest-lib/usr/bin/python2-skip-tracker
+	mv $(CURDIR)/debian/python-tempest-lib/usr/bin/check-uuid $(CURDIR)/debian/python-tempest-lib/usr/bin/python2-check-uuid
 	mv $(CURDIR)/debian/python3-tempest-lib/usr/bin/skip-tracker $(CURDIR)/debian/python3-tempest-lib/usr/bin/python3-skip-tracker
+	mv $(CURDIR)/debian/python3-tempest-lib/usr/bin/check-uuid $(CURDIR)/debian/python3-tempest-lib/usr/bin/python3-check-uuid
 	rm -rf $(CURDIR)/debian/python*-tempest-lib/usr/lib/python*/dist-packages/*.pth
+
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/tempest-lib/tags .*/(\d[\d\.]+)\.tar\.gz

## python-tempest-lib 1.0.0

=== requirements.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 iso8601>=0.1.9 # MIT
 jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
 httplib2>=0.7.5 # MIT
-paramiko>=1.13.0 # LGPL
+paramiko>=1.16.0 # LGPL
 six>=1.9.0 # MIT
 oslo.log>=1.14.0 # Apache-2.0
 os-testr>=0.4.1 # Apache-2.0

=== debian/changelog ===
python-tempest-lib (1.0.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Jan 2017 15:49:16 -0500

python-tempest-lib (0.14.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Fixed oslotest EPOCH.

 -- Ondřej Nový <novy@ondrej.org>  Sat, 09 Apr 2016 19:31:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-tempest-lib
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends: debhelper (>= 9),
@@ -26,8 +27,8 @@
                      python-os-testr (>= 0.4.2),
                      python-oslo.log (>= 2.0.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
-                     python-paramiko (>= 1.13.0),
+                     python-oslotest (>= 1:1.10.0),
+                     python-paramiko (>= 1.16.0),
                      python-six (>= 1.9.0),
                      python-testresources,
                      python-testscenarios,
@@ -41,17 +42,17 @@
                      python3-mock (>= 1.3.0),
                      python3-os-testr (>= 0.4.2),
                      python3-oslo.log (>= 2.0.0),
-                     python3-oslotest (>= 1.10.0),
-                     python3-paramiko (>= 1.13.0),
+                     python3-oslotest (>= 1:1.10.0),
+                     python3-paramiko (>= 1.16.0),
                      python3-six (>= 1.9.0),
                      python3-subunit,
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-tempest-lib.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-tempest-lib.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-tempest-lib
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-tempest-lib
 Homepage: http://www.openstack.org/
 
 Package: python-tempest-lib

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/openstack/tempest-lib.git
+UPSTREAM_GIT := https://github.com/openstack/tempest-lib.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(VERSION)
